com.microfocus.awm.model.internal

## Class ElementElementListMapLoader

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - com.microfocus.awm.model.internal.ElementElementListMapLoader

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

      public class ElementElementListMapLoader
      extends org.xml.sax.helpers.DefaultHandler

  load the eb_elementsinlists.xml-file telling in which lists an element is contained.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementElementListMapLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endDocument()`
    `void` | `startElement(java.lang.String pUri, java.lang.String pLocalName, java.lang.String pTagName, org.xml.sax.Attributes pAttr)`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `characters, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementElementListMapLoader

          public ElementElementListMapLoader()

  - ### Method Detail

    - #### startElement

          public void startElement(java.lang.String pUri,
                                   java.lang.String pLocalName,
                                   java.lang.String pTagName,
                                   org.xml.sax.Attributes pAttr)
                            throws org.xml.sax.SAXException

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endDocument

          public void endDocument()
                           throws org.xml.sax.SAXException

      Specified by:
        `endDocument` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endDocument` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

Copyright © 2015 Micro Focus GmbH. All rights reserved.